using System.Windows;
using System.Windows.Controls;

namespace Elwig.Windows {
    public partial class BaseDataWindow : AdministrationWindow {
        public BaseDataWindow() {
            InitializeComponent();
        }

        private void Window_Loaded(object sender, RoutedEventArgs evt) {
            ClientNameInput.Text = App.Client.Name;
            ClientNameSuffixInput.Text = App.Client.NameSuffix;
            ClientNameTypeInput.Text = App.Client.NameType;
            ClientNameTokenInput.Text = App.Client.NameToken;
            ClientNameShortInput.Text = App.Client.NameShort;
            ClientAddressInput.Text = App.Client.Address;
            ClientPlzInput.Text = App.Client.Plz.ToString();
            ClientOrtInput.Text = App.Client.Ort;
            ClientIbanInput.Text = App.Client.Iban;
            ClientBicInput.Text = App.Client.Bic;
            ClientUstIdNrInput.Text = App.Client.UstIdNr;
            ClientLfbisNrInput.Text = App.Client.LfbisNr;
            ClientPhoneNrInput.Text = App.Client.PhoneNr;
            ClientFaxNrInput.Text = App.Client.FaxNr;
            ClientEmailAddressInput.Text = App.Client.EmailAddress;
            ClientWebsiteInput.Text = App.Client.Website;
        }

        protected override void UpdateButtons() {

        }

        private void ClientNames_TextChanged(object sender, TextChangedEventArgs evt) {
            var suffix = ClientNameSuffixInput.Text.Length > 0 ? ClientNameSuffixInput.Text : null;
            ClientNameFull.Text = $"{ClientNameInput.Text}{(suffix != null ? $", {suffix}," : "")} {ClientNameTypeInput.Text}";
        }
    }
}
